Summary:	X based image viewer for darned near all images
Name:		xv
Version:	3.10a
Release:	%mkrel 1
License:	Shareware
Group:		Graphics
Source0:	ftp://ftp.cis.upenn.edu/pub/xv/%{name}-%{version}.tar.xz
Source1:	ftp://swrinde.nde.swri.edu/pub/png/applications/%{name}-%{version}-png-1.2d.tar.gz
Source2:	%{name}man310a-html.tar.gz
Source3:	%{name}.desktop
Source5:	%{name}-non-english-Xman-pages.tar.bz2
Source6:	%{name}-16.png
Source7:	%{name}-32.png
Source8:	%{name}-48.png
Patch0:		%{name}-PLD.patch
Patch1:		%{name}-FLmask.v2.1.patch
Patch2:		%{name}-JPEG.patch
Patch3:		%{name}-TIFF.patch
Patch4:		%{name}-croppad.patch
Patch5:		%{name}-deepcolor.patch
Patch6:		%{name}-exceed_grab.patch
Patch7:		%{name}-gif.patch
Patch8:		%{name}-grab.patch
Patch9:		%{name}-longname.patch
Patch10:	%{name}-mp-tiff.patch
Patch11:	%{name}-pdf.patch
Patch12:	%{name}-png-fix2.patch
Patch13:	%{name}-vis.patch
Patch14:    %{name}-gs.patch
Patch15:    %{name}-tiff1200.patch
Patch16:    %{name}-gssafer.patch
Patch17:    %{name}-3.10a-gcc4.patch
Patch18:    %{name}-print-format.patch
URL:		http://www.trilon.com/xv/xv.html
BuildRequires: x11-proto-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xt-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}png-devel
Requires: ghostscript

%description
This is the famous 'xv' by John Bradley. It is shareware, but we ship
it with the permission of the authors. It is a graphics viewer for
many file types, including gif, jpg, tiff, xwd, etc. It also has
manipulation features such as cropping, expanding, etc. Patched to
include flmask, a popular feature in Japan.

%prep
%setup -q
tar xvfz %{SOURCE1}
patch -p1 --quiet < xvpng.diff
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p1
%patch10 -p0 -b .mp-tiff
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0 -b .gcc4
%patch18 -p0 -b .print-format 
tar zxf %{SOURCE2}

perl -pi -e 's:-L/usr/X11R6/lib:-L%_prefix/%_lib:' Makefile

%build
%{make} CCOPTS="%{optflags} `pkg-config --cflags libpng12`" PNGLIB=`pkg-config --libs libpng12` BINDIR=%_bindir LIBDIR=%_libdir MANDIR=%_mandir/man1

%install
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_mandir}/man1}

%makeinstall BINDIR=%buildroot%_bindir LIBDIR=%buildroot%_libdir MANDIR=%buildroot%_mandir/man1
mv -f xvman310a manual

bzip2 -dc %{SOURCE5} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

rm -f %buildroot%_mandir/README*
find $RPM_BUILD_ROOT%{_mandir} -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT%{_mandir} -type f -exec chmod 644 {} \;

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Comment=Images viewer/editor
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;2DGraphics;RasterGraphics;X-MandrivaLinux-Multimedia-Graphics;
MimeType=image/bmp;image/gif;image/jpeg;image/jpg;image/png;image/tiff;image/x-bmp;image/x-pcx;image/x-tga;image/x-portable-pixmap;image/x-portable-bitmap;image/x-targa;image/x-portable-greymap;application/pcx;image/svg+xml;image/svg-xml;
Comment=powerful and versatile image viewer
X-Desktop-File-Install-Version=0.21
EOF

mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}

install -m 644 %{SOURCE6} %buildroot%_miconsdir/%name.png
install -m 644 %{SOURCE7} %buildroot%_iconsdir/%name.png
install -m 644 %{SOURCE8} %buildroot%_liconsdir/%name.png

%files
%doc README docs/xvdocs.ps BUGS CHANGELOG IDEAS CPMASK 00_README manual
%attr(755,root,root) %{_bindir}/*
%{_libdir}/xvdocs.ps
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%lang(fi) %{_mandir}/fi/man1/*
%lang(pl) %{_mandir}/pl/man1/*


%changelog
* Mon Dec 16 2013 pinoc <vogtpet at gmail.com> 3.10a-1pclos2013
- imported package xv

